Class | Irc::DBTree
In: | lib/rbot/dbhash.rb
Parent: | Object

DBTree is a BTree equivalent of DBHash, with case insensitive lookups.

### Methods

cleanup_env cleanup_logs create_db method_missing new open_db stats

### Public Class methods

cleanup_env()
cleanup_logs()
create_db(name)
new(bot, key, absfilename=false)

absfilename: | use `key` as an actual filename, don‘t prepend the bot‘s config path and don‘t append ".db"

open_db(name)
stats()

### Public Instance methods

method_missing(method, *args, &block)

[Validate]